part of fever_api;

class Favicon {
  FeverAPI api;
  late int id;

  /// base64 encoded image data; prefixed by image type. Example:
  /// `image/gif;base64,R0lGODlhAQABAIAAAObm5gAAACH5BAEAAAAALAAAAAABAAEAAAICRAEAOw==`
  late String data;

  Favicon(
    this.api,
    {
      required this.id,
      required this.data,
    }
  );

  Favicon.fromJSON(this.api, Map<String, dynamic> json) {
    id = toInt(json['id']);
    data = json['data'];
  }
}
